Skip to main content
GET
/
v2
/
organizations
/
{orgId}
/
teams
/
{teamId}
/
bookings
/
{bookingUid}
/
references
Get booking references
curl --request GET \
  --url https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/bookings/{bookingUid}/references
import requests

url = "https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/bookings/{bookingUid}/references"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/bookings/{bookingUid}/references', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "data": [
    {
      "type": "<string>",
      "eventUid": "<string>",
      "destinationCalendarId": "<string>",
      "id": 123
    }
  ]
}

Headers

Authorization
string

For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_

x-cal-secret-key
string

For platform customers - OAuth client secret key

x-cal-client-id
string

For platform customers - OAuth client ID

Path Parameters

bookingUid
string
required
teamId
number
required
orgId
number
required

Query Parameters

type
enum<string>

Filter booking references by type

Available options:
google_calendar,
office365_calendar,
daily_video,
google_video,
office365_video,
zoom_video
Example:

"google_calendar"

Response

200 - application/json
status
enum<string>
required

The status of the request, always 'success' for successful responses

Available options:
success,
error
Example:

"success"

data
object[]
required

Booking References